function change_model_hook;

b=questdlg({'The result of any identification will be lost !','Do you still want to proceed ?'},'Warning !','Yes','No','No');
params = get(gcf,'UserData');

if strcmp(b,'Yes'),
	which_button = find(btnstate(gcf,'Model_Panel'));
	switch which_button,
	case 1,
		params.m=taksug(params.m.famimo);
	case 2,
		params.m=lazy(params.m.famimo);
	case 3,
		%params.m=moei(params.m.famimo);
	end
	
	if (which_button==3), redraw_hook(1); end
	
	which_button = find(btnstate(gcf,'Main_Panel'));
	set(gcf,'UserData',params);

else
	if isa(params.m,'taksug'),
		btnstate('set',gcf,'Model_Panel',[1 0 0]);
	elseif isa(params.m,'lazy'),
		btnstate('set',gcf,'Model_Panel',[0 1 0]);
	elseif isa(params.m,'moei'),
		btnstate('set',gcf,'Model_Panel',[0 0 1]);
	end
end
